import { EventEmitter } from 'node:events';
import { BaseConnectorConfig } from '@xip-online-data/types';
import { PersistentOffsetStoreInterface } from './persistent-offset-store.interface';
import { OffsetStore } from './types';
export declare class CloudOffsetStoreService extends EventEmitter implements PersistentOffsetStoreInterface {
    #private;
    constructor(offsetDirectory: string, connectorConfig: BaseConnectorConfig, connectorIdentifier: string);
    init(): Promise<void>;
    deInit(): Promise<void>;
    getOffset(identifier: string): Promise<OffsetStore>;
    flush(): Promise<void>;
    writeFile(fileName: string, data: {
        [key: string]: string;
    }): Promise<void>;
    setOffset(offset: OffsetStore, identifier: string): void;
    testWriteFile(): Promise<void>;
}
